Bug 726637 - crash on 'be init' in mercurial repo
Summary: crash on 'be init' in mercurial repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: be
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-29 09:41 UTC by alberth289346
Modified: 2011-08-23 19:34 UTC (History)
1 user (show)

Fixed In Version: be-1.0.1-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-13 02:25:45 UTC


Attachments (Terms of Use)

Description alberth289346 2011-07-29 09:41:09 UTC
Reproduction:

$ hg init foo
$ cd foo
$ be init
Traceback (most recent call last):
  File "/usr/bin/be", line 26, in <module>
    sys.exit(libbe.ui.command_line.main())
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 333, in main
    ret = dispatch(ui, command, args)
  File "/usr/lib/python2.7/site-packages/libbe/ui/command_line.py", line 265, in dispatch
    ret = ui.run(command, options, args)
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 535, in run
    return command.run(options, args)
  File "/usr/lib/python2.7/site-packages/libbe/command/base.py", line 263, in run
    self.status = self._run(**params)
  File "/usr/lib/python2.7/site-packages/libbe/command/init.py", line 91, in _run
    storage.connect()
  File "/usr/lib/python2.7/site-packages/libbe/storage/base.py", line 217, in connect
    self._connect()
  File "/usr/lib/python2.7/site-packages/libbe/storage/vcs/base.py", line 614, in _connect
    self.root()
  File "/usr/lib/python2.7/site-packages/libbe/storage/vcs/base.py", line 577, in root
    root = self._vcs_root(self.repo)
  File "/usr/lib/python2.7/site-packages/libbe/storage/vcs/hg.py", line 109, in _vcs_root
    return self._u_invoke_client('root', cwd=path)
  File "/usr/lib/python2.7/site-packages/libbe/storage/vcs/hg.py", line 90, in _u_invoke_client
    mercurial.dispatch.dispatch(fullargs)
  File "/usr/lib64/python2.7/site-packages/mercurial/dispatch.py", line 31, in dispatch
    if req.ferr:
AttributeError: 'list' object has no attribute 'ferr'

$ yum list mercurial be
Installed Packages
be.noarch                                      1.0.1-1.fc15
mercurial.x86_64                               1.9-2.fc15

Comment 1 Michel Alexandre Salim 2011-08-02 16:56:39 UTC
Reported upstream:

  be --repo http://bugs.bugseverywhere.org/ show bea/fbe

Comment 2 Fedora Update System 2011-08-04 18:59:32 UTC
be-1.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/be-1.0.1-2.fc15

Comment 3 Fedora Update System 2011-08-04 18:59:39 UTC
be-1.0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/be-1.0.1-2.fc16

Comment 4 Fedora Update System 2011-08-04 18:59:46 UTC
be-1.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/be-1.0.1-2.el6

Comment 5 Fedora Update System 2011-08-04 18:59:53 UTC
be-1.0.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/be-1.0.1-2.fc14

Comment 6 Fedora Update System 2011-08-04 21:13:28 UTC
Package be-1.0.1-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing be-1.0.1-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/be-1.0.1-2.fc16
then log in and leave karma (feedback).

Comment 7 alberth289346 2011-08-05 09:52:13 UTC
Details of the fix say "Remove currently broken support for arch, hg and monotone".
Obviously, this does not make be work for a HG repository.

Despite the update system giving me wrong fedora release, and pointing me to an non-usable site, I downloaded and installed the new version.


A quick repeat of the testcase confirmed my suspicion, it says

No revision control detected.
BE repository initialized.

now.
My conclusion is that it does not fix my issue.



I am sad the support was dropped.

It does also mean that their documentation is wrong now (it still says that mercurial is supported.
Also the fedora rpm blurb says that.

Comment 8 Fedora Update System 2011-08-13 02:25:40 UTC
be-1.0.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-08-13 02:29:58 UTC
be-1.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-08-22 15:20:06 UTC
be-1.0.1-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-08-23 19:34:20 UTC
be-1.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.